//City include file
#include "overf.obj" //City objects definition file

#declare city_transform = transform{rotate x * 90}
#declare city_block_count = <2,2,0>;
#declare buildings_per_block = 3;
#declare min_building_height = 1;
#declare max_building_height = 2;
#declare building_height_falloff = 3.25;
#declare building_height_turb = 0.75;
#declare traffic_width = 3.5;
#declare city_night = true;
#declare windows_lit = 0.5;
#declare traffic_lanes = 2;
#declare building_gap = 2.5;

#include "Vehicles.obj"
#include "Offices.obj"
#include "Flats.obj"
#include "city.inc"