//The trees include files
#declare Wiggle_Flag = on;
#declare Branches_On_End_Flag = on;
#declare TREE_RAND = seed(7723);
#declare Number_Of_Large_Branches = 10;
#declare Number_Of_Medium_Branches = 5;
#declare Number_Of_Small_Branches = 5;
#declare Large_Branch_Minimum_Angle = 30;
#declare Large_Branch_Maximum_Angle = 35;
#declare Medium_Branch_Minimum_Angle = 40;
#declare Medium_Branch_Maximum_Angle = 45;
#declare Small_Branch_Minimum_Angle = 25;
#declare Small_Branch_Maximum_Angle = 35;
#declare Tree_Trunk_Size = 3.25;
#declare Large_Branch_Size_Min = 2.25;
#declare Large_Branch_Size_Max = 3.5;
#declare Medium_Branch_Size_Min = 1.25;
#declare Medium_Branch_Size_Max = 1.45;
#declare Small_Branch_Size_Min = 0.1;
#declare Small_Branch_Size_Max = 0.25;
#ifdef (fast_trees)
 #declare TREE_MESH_SIZE = 250;
#else
 #declare TREE_MESH_SIZE = 600;
#end
#declare Bark_Texture = texture
                        {
                         pigment
                         {
                          Pine_Wood
                         }
                        }
#declare Leaf_Texture = texture
                        {
                         pigment
                         {              
                          #ifdef (fast_trees)
                           color Green
                          #else   
                           agate
                           agate_turb 0.5
                           color_map
                           {
                            [0.1 color ForestGreen transmit 0.55]
                            [0.3 color Green transmit 0.65]
                            [0.5 color LimeGreen transmit 0.70]
                           }
                          #end
                         }  
                         finish
                         {
                          reflection 0.25
                         }
                        }  
#ifdef (fast_trees)
 #declare Leaf_Type = 1;
#else                      
 #declare Leaf_Type = 5;
#end

#include "ptd_tree.inc"